Index: test/test_rosdep/test/test_rosdep_core.py
===================================================================
--- test/test_rosdep/test/test_rosdep_core.py	(revision 12349)
+++ test/test_rosdep/test/test_rosdep_core.py	(working copy)
@@ -139,8 +139,8 @@
             rd.what_needs(["boost"])
             rd.depdb(['rosdep'])
             rd.where_defined(['boost'])
-        except:
-            self.fail("test Rosdep improperly Raised an exception.")
+        except Exception as e:
+            self.fail("test Rosdep improperly Raised an exception: %s"%str(e))
         
     def test_Rosdep_tripwire(self):
         rd = rosdep.core.Rosdep(["rosdep"], "rosdep", robust=False)
@@ -149,9 +149,8 @@
             rd.what_needs(["boost"])
             rd.depdb(['rosdep'])
             rd.where_defined(['boost'])
-        except:
-            self.fail("test Rosdep improperly Raised an exception.")
-
+        except Exception as e:
+            self.fail("test Rosdep improperly Raised an exception: %s"%str(e))
         
         
 
Index: tools/rosmake/src/rosmake/package_stats.py
===================================================================
--- tools/rosmake/src/rosmake/package_stats.py	(revision 12349)
+++ tools/rosmake/src/rosmake/package_stats.py	(working copy)
@@ -30,8 +30,8 @@
 
 # Author Tully Foote/tfoote@willowgarage.com
 
-from __future__ import with_statement
 
+
 import os
 import sys, string
 import subprocess
@@ -50,8 +50,8 @@
             osd = roslib.os_detect.OSDetect()
             self.os_name = osd.get_name()
             self.os_version = osd.get_version()
-        except roslib.os_detect.OSDetectException, ex:
-            print >> sys.stderr, "Could not detect OS. platform detection will not work"
+        except roslib.os_detect.OSDetectException as ex:
+            sys.stderr.write("Could not detect OS. platform detection will not work\n")
     else:
         self.os_name = os_name
         self.os_version = os_version
@@ -71,7 +71,7 @@
     return self.paths[package]
 
   def register_blacklisted(self, blacklisted_package, dependent_package):
-    if dependent_package in self.blacklisted.keys():
+    if dependent_package in list(self.blacklisted.keys()):
       self.blacklisted[dependent_package].append(blacklisted_package)
     else:
       self.blacklisted[dependent_package] = [blacklisted_package] 
Index: tools/rosmake/src/rosmake/parallel_build.py
===================================================================
--- tools/rosmake/src/rosmake/parallel_build.py	(revision 12349)
+++ tools/rosmake/src/rosmake/parallel_build.py	(working copy)
@@ -30,8 +30,8 @@
 
 # Author Tully Foote/tfoote@willowgarage.com
 
-from __future__ import with_statement
 
+
 import os
 import re
 import distutils.version
@@ -52,7 +52,7 @@
   """
   # Linux, Unix and MacOS:
   if hasattr(os, "sysconf"):
-    if os.sysconf_names.has_key("SC_NPROCESSORS_ONLN"):
+    if "SC_NPROCESSORS_ONLN" in os.sysconf_names:
       # Linux & Unix:
       ncpus = os.sysconf("SC_NPROCESSORS_ONLN")
       if isinstance(ncpus, int) and ncpus > 0:
@@ -60,7 +60,7 @@
     else: # OSX:
       return int(os.popen2("sysctl -n hw.ncpu")[1].read())
   # Windows:
-  if os.environ.has_key("NUMBER_OF_PROCESSORS"):
+  if "NUMBER_OF_PROCESSORS" in os.environ:
     ncpus = int(os.environ["NUMBER_OF_PROCESSORS"]);
     if ncpus > 0:
       return ncpus
@@ -216,7 +216,7 @@
         self.built.append(package)
       else:
         self.failed.append(package)
-      if package in self._started.keys():
+      if package in list(self._started.keys()):
         self._started.pop(package)
       else:
         pass #used early on print "\n\n\nERROR THIS SHOULDN't RETURN %s\n\n\n"%package
Index: tools/rosmake/src/rosmake/__init__.py
===================================================================
--- tools/rosmake/src/rosmake/__init__.py	(revision 12349)
+++ tools/rosmake/src/rosmake/__init__.py	(working copy)
@@ -31,5 +31,5 @@
 is very likely to change in future releases and is not stable.
 """
 
-from rosmake import RosMakeAll
+from .rosmake import RosMakeAll
 
Index: tools/rosmake/src/rosmake/rosmake.py
===================================================================
--- tools/rosmake/src/rosmake/rosmake.py	(revision 12349)
+++ tools/rosmake/src/rosmake/rosmake.py	(working copy)
@@ -30,8 +30,8 @@
 
 # Author Tully Foote/tfoote@willowgarage.com
 
-from __future__ import with_statement
 
+
 import os
 import re
 import distutils.version
@@ -47,15 +47,20 @@
 import traceback
 import math
 import signal
-import exceptions
 
+try:
+    from exceptions import SystemExit #Python 2.x
+except ImportError:
+    pass #Python 3.x (in Python 3, 'exceptions' is always imported)
+
+
 from operator import itemgetter
 
-import parallel_build
-import package_stats
-
 from optparse import OptionParser
 
+from . import parallel_build
+from . import package_stats
+
 import rosdep
 
 def make_command():
@@ -121,7 +126,7 @@
         def __exit__(self, mtype, value, tb):
             self.shutdown()
             if value:
-                if not mtype == type(exceptions.SystemExit()):
+                if not mtype == type(SystemExit()):
                     traceback.print_exception(mtype, value, tb)
                 else:
                     sys.exit(value)
@@ -133,7 +138,7 @@
                     self.running = False
                     break
                 self.set_status_from_cache()
-                if len(self.pkg_start_times.keys()) > 0:
+                if len(list(self.pkg_start_times.keys())) > 0:
                     n = self.terminal_width() - len(self.status)
                     status = self.status
                     if n > 0:
@@ -152,7 +157,7 @@
 
         def rosmake_pkg_times_to_string(self, start_times):
             threads = []
-            for p, t in sorted(start_times.iteritems(), key=itemgetter(1)):
+            for p, t in sorted(iter(start_times.items()), key=itemgetter(1)):
                 threads.append("[ %s: %.1f sec ]"%(p, time.time() - t))
 
             return " ".join(threads)
@@ -191,7 +196,7 @@
 
         def print_full_verbose(self, s):
             if self.full_verbose:
-                print "[ rosmake ] %s"%s
+                print("[ rosmake ] %s"%s)
 
         def print_tail(self, s, tail_lines=40):
             lines = s.splitlines()
@@ -200,13 +205,13 @@
 
             num_lines = min(len(lines), tail_lines)
             if num_lines == tail_lines:
-                print "[ rosmake ] Last %d lines"%num_lines
+                print("[ rosmake ] Last %d lines"%num_lines)
             else:
-                print "[ rosmake ] All %d lines"%num_lines
-            print "{" + "-"*79
-            for l in xrange(-num_lines, -1):
-                print "  %s"%lines[l]
-            print "-"*79 + "}"
+                print("[ rosmake ] All %d lines"%num_lines)
+            print("{" + "-"*79)
+            for l in range(-num_lines, -1):
+                print("  %s"%lines[l])
+            print("-"*79 + "}")
 
         def _print_status(self, s):
             sys.stdout.write("%s\r"%(s))
@@ -246,6 +251,7 @@
 
 class RosMakeAll:
     def __init__(self):
+        
         self._result_lock = threading.Lock()
         self.printer = Printer()
         self.result = {}
@@ -271,7 +277,7 @@
         @return: number of packages that were built
         @rtype: int
         """
-        return len(self.result[argument].keys())
+        return len(list(self.result[argument].keys()))
 
     def update_status(self, argument, start_times, right):
         self.printer.rosmake_cache_info(argument, start_times, right)
@@ -286,7 +292,7 @@
         try:
             r = rosdep.core.Rosdep(packages, robust=True)
             (output, scripts) = r.check()
-        except roslib.exceptions.ROSLibException, ex:
+        except roslib.exceptions.ROSLibException as ex:
             return ("rosdep ABORTED: %s"%ex, '')
 
         if len(scripts) > 0:
@@ -312,9 +318,9 @@
                 return None
             else:
                 return "%s"%error
-        except rosdep.core.RosdepException, e:
+        except rosdep.core.RosdepException as e:
             return "%s"%e
-        except roslib.exceptions.ROSLibException, ex:
+        except roslib.exceptions.ROSLibException as ex:
             return "%s"%ex
 
     def build_or_recurse(self,p):
@@ -325,7 +331,7 @@
         try: # append it ot the list only if present
           self.get_path(p)
           self.build_list.append(p)
-        except roslib.packages.InvalidROSPkgException, ex:
+        except roslib.packages.InvalidROSPkgException as ex:
           if not self.robust_build:
             self.printer.print_all("Exiting due to missing package: %s"%ex)
             sys.exit(-1)
@@ -337,11 +343,11 @@
         self.profile[argument] = {}
         self.output[argument] = {}
         with self._result_lock:
-            if argument not in self.result.keys():
+            if argument not in list(self.result.keys()):
                 self.result[argument] = {}
 
         cts = []
-        for i in  xrange(0, threads):
+        for i in  range(0, threads):
           ct = parallel_build.CompileThread(str(i), build_queue, self, argument)
           #print "TTTH starting thread ", ct
           ct.start()
@@ -361,7 +367,7 @@
         #print "All threads joined"
         all_pkgs_passed = True
         with self._result_lock:
-            for v in self.result[argument].values():
+            for v in list(self.result[argument].values()):
                 all_pkgs_passed = v and all_pkgs_passed
 
         build_passed = build_queue.succeeded() and all_pkgs_passed
@@ -372,7 +378,7 @@
     def _subprocess_setup(self):
         # Python installs a SIGPIPE handler by default. This is usually not
         # what non-Python subprocesses expect.
-	signal.signal(signal.SIGPIPE, signal.SIG_DFL)
+        signal.signal(signal.SIGPIPE, signal.SIG_DFL)
 
     def _build_package(self, package, argument=None):
         """
@@ -429,7 +435,7 @@
                     with self._result_lock:
                         self.result[argument][p] = True
 
-                    num_warnings = len(re.findall("warning:", pstd_out))
+                    num_warnings = len(re.findall("warning:", pstd_out.decode("utf-8")))
                     if num_warnings > 0:
                         return_string =  ("[PASS] [ %.2f seconds ] -- WARNING: %d compiler warnings"%(self.profile[argument][p], num_warnings))
                     else:
@@ -437,8 +443,8 @@
                     self.output_to_file(p, log_type, pstd_out, num_warnings > 0)
                 else:
                     success = False
-                    no_target = len(re.findall("No rule to make target", pstd_out)) > 0
-                    interrupt = len(re.findall("Interrupt", pstd_out)) > 0
+                    no_target = len(re.findall("No rule to make target", pstd_out.decode("utf-8"))) > 0
+                    interrupt = len(re.findall("Interrupt", pstd_out.decode("utf-8"))) > 0
                     if no_target:
                         return_string = ( "[SKIP] No rule to make target %s"%( argument))
                         success = True
@@ -450,7 +456,7 @@
                         self.result[argument][p] = True if no_target else False
 
                     if success == False: #don't print tail if [SKIP] target
-                        self.printer.print_tail( pstd_out)
+                        self.printer.print_tail( pstd_out.decode("utf-8"))
                     self.output_to_file(p, log_type, pstd_out, always_print= not (no_target or interrupt))
 
                     return (success, return_string)
@@ -461,7 +467,7 @@
                 return_string += why
                 return(error, return_string)
             return (True, return_string) # this means that we didn't error in any case above
-        except roslib.packages.InvalidROSPkgException, ex:
+        except roslib.packages.InvalidROSPkgException as ex:
             with self._result_lock:
                 self.result[argument][p] = False
             self.printer.print_verbose ("[SKIP] Package not found\n")
@@ -478,7 +484,7 @@
         if not os.path.exists (package_log_dir):
             roslib.rosenv.makedirs_with_parent_perms(package_log_dir)
         with open(std_out_filename, 'w') as stdout_file:
-            stdout_file.write(stdout)
+            stdout_file.write(str(stdout))
             print_string = "Output from build of package %s written to:\n[ rosmake ]    %s"%(package, std_out_filename)
             if always_print:
                 self.printer.print_all(print_string)
@@ -490,13 +496,13 @@
             return
 
         self.printer.print_all("Results:")
-        if 'clean' in self.result.keys():
+        if 'clean' in list(self.result.keys()):
             self.printer.print_all("Cleaned %d packages."%len(self.result['clean']))
-        if None in self.result.keys():
-            build_failure_count = len([p for p in self.result[None].keys() if self.result[None][p] == False])
+        if None in list(self.result.keys()):
+            build_failure_count = len([p for p in list(self.result[None].keys()) if self.result[None][p] == False])
             self.printer.print_all("Built %d packages with %d failures."%(len(self.result[None]), build_failure_count))
-        if 'test' in self.result.keys():
-            test_failure_count = len([p for p in self.result['test'].keys() if self.result['test'][p] == False])
+        if 'test' in list(self.result.keys()):
+            test_failure_count = len([p for p in list(self.result['test'].keys()) if self.result['test'][p] == False])
             self.printer.print_all("Tested %d packages with %d failures."%(len(self.result['test']), test_failure_count))
         self.printer.print_all("Summary output to directory")
         self.printer.print_all("%s"%self.log_dir)
@@ -509,43 +515,43 @@
 
                            
 
-        if None in self.result.keys():
-            if len(self.result[None].keys()) > 0:
+        if None in list(self.result.keys()):
+            if len(list(self.result[None].keys())) > 0:
                 buildfail_filename = os.path.join(log_dir, "buildfailures.txt")
                 with open(buildfail_filename, 'w') as bf:
                     bf.write("Build failures:\n")
                     for key in self.build_list:
-                        if key in self.result[None].keys() and self.result[None][key] == False:
+                        if key in list(self.result[None].keys()) and self.result[None][key] == False:
                             bf.write("%s\n"%key)
-                if  None in self.output.keys():
+                if  None in list(self.output.keys()):
                     buildfail_context_filename = os.path.join(log_dir, "buildfailures-with-context.txt")
                     with open(buildfail_context_filename, 'w') as bfwc:
                         bfwc.write("Build failures with context:\n")
                         for key in self.build_list:
-                            if key in self.result[None].keys() and self.result[None][key] == False:
+                            if key in list(self.result[None].keys()) and self.result[None][key] == False:
                                 bfwc.write("---------------------\n")
                                 bfwc.write("%s\n"%key)
                                 if key in self.output[None]:
                                     bfwc.write(self.output[None][key])
 
-        if "test" in self.result.keys():
-            if len(self.result["test"].keys()) > 0:
+        if "test" in list(self.result.keys()):
+            if len(list(self.result["test"].keys())) > 0:
                 testfail_filename = os.path.join(log_dir, "testfailures.txt")
                 with open(testfail_filename, 'w') as btwc:
                     btwc.write("Test failures:\n")
                     for key in self.build_list:
-                        if key in self.result["test"].keys() and self.result["test"][key] == False:
+                        if key in list(self.result["test"].keys()) and self.result["test"][key] == False:
                             btwc.write("%s\n"%key)
 
-                if "test" in self.output.keys():
+                if "test" in list(self.output.keys()):
                     testfail_filename = os.path.join(log_dir, "testfailures-with-context.txt")
                     with open(testfail_filename, 'w') as btwc:
                         btwc.write("Test failures with context:\n")
                         for key in self.build_list:
-                            if key in self.result["test"].keys() and self.result["test"][key] == False:
+                            if key in list(self.result["test"].keys()) and self.result["test"][key] == False:
                                 btwc.write("%s\n"%key)
                                 if key in self.output["test"]:
-                                    btwc.write(self.output["test"][key])
+                                    btwc.write(str(self.output["test"][key]))
 
         profile_filename = os.path.join(log_dir, "profile.txt")
         with open(profile_filename, 'w') as pf:
@@ -565,26 +571,26 @@
             test_time = 0.0
             build_time = 0.0
 
-            if None in self.result.keys():
-                if key in self.result[None].keys():
+            if None in list(self.result.keys()):
+                if key in list(self.result[None].keys()):
                     if self.result[None][key] == True:
                         build_result = 1
                     else:
                         build_result = 2
 
-            if "test" in self.profile.keys():
-                if key in self.result["test"].keys():
+            if "test" in list(self.profile.keys()):
+                if key in list(self.result["test"].keys()):
                     if self.result["test"][key] == True:
                         test_result = 1
                     else:
                         test_result = 2
 
-            if None in self.profile.keys():
-                if key in self.profile[None].keys():
+            if None in list(self.profile.keys()):
+                if key in list(self.profile[None].keys()):
                     build_time = self.profile[None][key]
 
-            if "test" in self.profile.keys():
-                if key in self.profile["test"].keys():
+            if "test" in list(self.profile.keys()):
+                if key in list(self.profile["test"].keys()):
                     test_time = self.profile["test"][key]
                 
                     
@@ -616,11 +622,11 @@
 
                     self.printer.print_verbose(pstd_out)
                     if command_line.returncode:
-                        print >> sys.stderr, "Failed to build %s"%pkg_name
-                        print >> sys.stderr, "Error:\n{{{\n%s\n}}}"%pstd_out
+                        sys.stderr.write("Failed to build %s\n"%pkg_name)
+                        sys.stderr.write("Error:\n{{{\n%s\n}}}\n"%pstd_out)
                         sys.exit(-1)
                     self.printer.print_all("Finished <<< %s"%pkg)
-                except KeyboardInterrupt, ex:
+                except KeyboardInterrupt as ex:
                     self.printer.print_all("Keyboard interrupt caught in pkg %s"%pkg)
                     return False
         return True
@@ -775,7 +781,7 @@
               else:
                 self.printer.print_all("No package selected and the current directory is not the correct path for package '%s'."%p)
                 
-            except roslib.packages.InvalidROSPkgException, ex:
+            except roslib.packages.InvalidROSPkgException as ex:
                 try:
                     stack_dir = roslib.stacks.get_stack_dir(p)
                     if os.path.samefile(stack_dir, '.'):
@@ -911,7 +917,7 @@
           self.printer.print_verbose ("Building packages %s"% self.build_list)
           build_queue = parallel_build.BuildQueue(self.build_list, self.dependency_tracker, robust_build = options.robust or options.best_effort)
           build_queue.register_prebuilt(["rospack"])
-          if None not in self.result.keys():
+          if None not in list(self.result.keys()):
                 self.result[None] = {}
           if 'rospack' in self.build_list:
               self.result[None]["rospack"] = True
Index: tools/rospack/rospack_lite.py
===================================================================
--- tools/rospack/rospack_lite.py	(revision 12349)
+++ tools/rospack/rospack_lite.py	(working copy)
@@ -4,13 +4,13 @@
 import sys, os
 
 if len(sys.argv) < 2:
-  print >> sys.stderr, "this version only supports 'find', 'list', and 'list-names'"
+  sys.stderr.write("this version only supports 'find', 'list', and 'list-names'\n")
   exit(1);
 
 command = sys.argv[1]
 
 if not 'ROS_ROOT' in os.environ:
-  print >> sys.stderr, "ROS_ROOT is not defined in the environment"
+  sys.stderr.write("ROS_ROOT is not defined in the environment\n")
   exit(1)
 s = [ os.environ['ROS_ROOT'] ]  # stack of paths to crawl
 if 'ROS_PACKAGE_PATH' in os.environ:
@@ -33,17 +33,17 @@
       s.append(c)
 
 if command == 'list':
-  for k, v in pkgs.iteritems():
-    print "%s %s" % (k, v)
+  for k, v in pkgs.items():
+    print("%s %s" % (k, v))
 elif command == 'list-names':
-  for k, v in pkgs.iteritems():
-    print k
+  for k, v in pkgs.items():
+    print(k)
 elif command == 'find':
   if len(sys.argv) < 3:
-    print >> sys.stderr, "syntax: rospack find PACKAGE"
+    sys.stderr.write("syntax: rospack find PACKAGE\n")
     exit(1)
   if sys.argv[2] in pkgs:
-    print pkgs[sys.argv[2]]
+    print(pkgs[sys.argv[2]])
 else:
-  print >> sys.stderr, "rospack lite, python style!\nsupported commands:\nrospack find PACKAGE\nrospack list\nrospack list-names\n"
+  sys.stderr.write("rospack lite, python style!\nsupported commands:\nrospack find PACKAGE\nrospack list\nrospack list-names\n\n")
   
Index: tools/rosunit/scripts/pycoverage_to_html.py
===================================================================
--- tools/rosunit/scripts/pycoverage_to_html.py	(revision 12349)
+++ tools/rosunit/scripts/pycoverage_to_html.py	(working copy)
@@ -38,21 +38,21 @@
 currently a no-frills backend tool.
 """
 
-from __future__ import with_statement
 
+
 import sys
 import roslib
 
 try:
     import coverage
-except ImportError, e:
-    print >> sys.stderr, "ERROR: cannot import python-coverage, coverage report will not run.\nTo install coverage, run 'easy_install coverage'"
+except ImportError as e:
+    sys.stderr.write("ERROR: cannot import python-coverage, coverage report will not run.\nTo install coverage, run 'easy_install coverage'\n")
     sys.exit(1)
 
 def coverage_html():
     import os.path
     if not os.path.isfile('.coverage-modules'):
-        print >> sys.stderr, "No .coverage-modules file; nothing to do"
+        sys.stderr.write("No .coverage-modules file; nothing to do\n")
         return
 
     with open('.coverage-modules','r') as f:
@@ -68,16 +68,16 @@
             roslib.load_manifest(base)
             __import__(m)
         except:
-            print >> sys.stderr, "WARN: cannot import %s"%base
+            sys.stderr.write("WARN: cannot import %s\n"%base)
 
-    print "Generating for\n"+'\n'.join([" * %s"%m for m in modules])
+    print("Generating for\n"+'\n'.join([" * %s"%m for m in modules]))
 
     # load the module instances to pass to coverage so it can generate annotation html reports
     mods = []
 
     # TODO: rewrite, buggy
     for m in modules:
-        mods.extend([v for v in sys.modules.values() if v and v.__name__.startswith(m) and not v in mods])
+        mods.extend([v for v in list(sys.modules.values()) if v and v.__name__.startswith(m) and not v in mods])
         
     # dump the output to covhtml directory
     cov.html_report(mods, directory="covhtml")
Index: tools/rosunit/scripts/clean_junit_xml.py
===================================================================
--- tools/rosunit/scripts/clean_junit_xml.py	(revision 12349)
+++ tools/rosunit/scripts/clean_junit_xml.py	(working copy)
@@ -33,8 +33,8 @@
 #
 # Revision $Id$
 
-from __future__ import with_statement
 
+
 """
 clean_junit_xml.py is a simple script that takes all the xml-formatted
 Ant JUnit XML test output in test_results and aggregates them into
@@ -53,10 +53,10 @@
 
 def prepare_dirs(output_dir_name):
     test_results_dir = roslib.rosenv.get_test_results_dir()
-    print "will read test results from", test_results_dir
+    print("will read test results from", test_results_dir)
     output_dir = os.path.join(test_results_dir, output_dir_name)
     if not os.path.exists(output_dir):
-        print "creating directory", output_dir
+        print("creating directory", output_dir)
         os.makedirs(output_dir)
     return test_results_dir, output_dir
 
@@ -67,7 +67,7 @@
     for d in os.listdir(test_results_dir):
         if filter and d in filter:
             continue
-        print "looking at", d
+        print("looking at", d)
         test_dir = os.path.join(test_results_dir, d)
         if not os.path.isdir(test_dir):
             continue
@@ -84,23 +84,23 @@
                 result = junitxml.read(file, test_name)
                 output_path = os.path.join(output_dir, "%s.xml"%test_name)
                 with open(output_path, 'w') as f:
-                    print "re-writing", output_path
+                    print("re-writing", output_path)
                 f.write(result.xml().encode('utf-8'))
-            except Exception, e:
-                print >> sys.stderr, "ignoring [%s]: %s"%(file, e)
+            except Exception as e:
+                sys.stderr.write("ignoring [%s]: %s\n"%(file, e))
 
 def main():
     
-    print "[clean_junit_xml]: STARTING"
+    print("[clean_junit_xml]: STARTING")
     
     output_dir_name = '_hudson'
     test_results_dir, output_dir = prepare_dirs(output_dir_name)
     
-    print "[clean_junit_xml]: writing aggregated test results to %s"%output_dir
+    print("[clean_junit_xml]: writing aggregated test results to %s"%output_dir)
     
     clean_results(test_results_dir, output_dir, [output_dir_name, '.svn'])
     
-    print "[clean_junit_xml]: FINISHED"
+    print("[clean_junit_xml]: FINISHED")
   
 if __name__ == '__main__':
     main()
Index: tools/rosunit/scripts/check_test_ran.py
===================================================================
--- tools/rosunit/scripts/check_test_ran.py	(revision 12349)
+++ tools/rosunit/scripts/check_test_ran.py	(working copy)
@@ -37,7 +37,7 @@
 Writes a test failure out to test file if it doesn't exist.
 """
 
-from __future__ import with_statement
+
 PKG='rosunit'
 NAME="check_test_ran.py"
 import roslib; roslib.load_manifest(PKG)
@@ -48,12 +48,13 @@
 import rosunit
 
 def usage():
-    print >> sys.stderr, """Usage:
+    sys.stderr.write("""Usage:
 \t%s test-file.xml
 or
 \t%s --rostest pkg-name test-file.xml
-"""%(NAME, NAME)
-    print sys.argv
+
+"""%(NAME, NAME))
+    print(sys.argv)
     sys.exit(os.EX_USAGE)
 
 def check_main():
@@ -76,13 +77,13 @@
             usage()
         test_file = sys.argv[1]
         
-    print "Checking for test results in %s"%test_file
+    print("Checking for test results in %s"%test_file)
     
     if not os.path.exists(test_file):
         if not os.path.exists(os.path.dirname(test_file)):
             os.makedirs(os.path.dirname(test_file))
             
-        print "Cannot find results, writing failure results to", test_file
+        print("Cannot find results, writing failure results to", test_file)
         
         with open(test_file, 'w') as f:
             test_name = os.path.basename(test_file)
Index: tools/rosunit/scripts/summarize_results.py
===================================================================
--- tools/rosunit/scripts/summarize_results.py	(revision 12349)
+++ tools/rosunit/scripts/summarize_results.py	(working copy)
@@ -44,45 +44,43 @@
 
 import os
 import sys
-import cStringIO
 
 import roslib.rospack
 import rosunit.junitxml as junitxml
 
 def create_summary(result, packages):
-    buff = cStringIO.StringIO()
 
-    buff.write('-'*80+'\n')
-    buff.write('\033[1m[AGGREGATED TEST RESULTS SUMMARY]\033[0m\n\n')
+    buff = '-'*80 + '\n'
+    buff += '\033[1m[AGGREGATED TEST RESULTS SUMMARY]\033[0m\n\n'
 
     errors_failures = [r for r in result.test_case_results if r.errors or r.failures]
     if errors_failures:
-        buff.write('ERRORS/FAILURES:\n')
+        buff += 'ERRORS/FAILURES:\n'
         for tc_result in errors_failures:
-            buff.write(tc_result.description)
+            buff += tc_result.description
 
-    buff.write("PACKAGES: \n%s\n\n"%'\n'.join([" * %s"%p for p in packages]))
+    buff += "PACKAGES: \n%s\n\n"%'\n'.join([" * %s"%p for p in packages])
 
-    buff.write('\nSUMMARY\n')
+    buff += '\nSUMMARY\n'
     if (result.num_errors + result.num_failures) == 0:
-        buff.write("\033[32m * RESULT: SUCCESS\033[0m\n")
+        buff += "\033[32m * RESULT: SUCCESS\033[0m\n"
     else:
-        buff.write("\033[1;31m * RESULT: FAIL\033[0m\n")
+        buff += "\033[1;31m * RESULT: FAIL\033[0m\n"
 
     # TODO: still some issues with the numbers adding up if tests fail to launch
 
     # number of errors from the inner tests, plus add in count for tests
     # that didn't run properly ('result' object).
-    buff.write(" * TESTS: %s\n"%result.num_tests)
+    buff += " * TESTS: %s\n"%result.num_tests
     if result.num_errors:
-        buff.write("\033[1;31m * ERRORS: %s\033[0m\n"%result.num_errors)
+        buff += "\033[1;31m * ERRORS: %s\033[0m\n"%result.num_errors
     else:
-        buff.write(" * ERRORS: 0\n")
+        buff += " * ERRORS: 0\n"
     if result.num_failures:
-        buff.write("\033[1;31m * FAILURES: %s\033[0m\n"%result.num_failures)
+        buff += "\033[1;31m * FAILURES: %s\033[0m\n"%result.num_failures
     else:
-        buff.write(" * FAILURES: 0\n")
-    return buff.getvalue()
+        buff += " * FAILURES: 0\n"
+    return buff
 
 def main():
     from optparse import OptionParser
@@ -103,7 +101,7 @@
         packages = [p for p in packages if p]
 
     result = junitxml.read_all(packages)
-    print create_summary(result, packages)
+    print(create_summary(result, packages))
     if result.num_errors or result.num_failures:
         sys.exit(1)
   
Index: tools/rosunit/scripts/test_results_dir.py
===================================================================
--- tools/rosunit/scripts/test_results_dir.py	(revision 12349)
+++ tools/rosunit/scripts/test_results_dir.py	(working copy)
@@ -39,4 +39,4 @@
 """
 
 import roslib.rosenv
-print roslib.rosenv.get_test_results_dir()
+print(roslib.rosenv.get_test_results_dir())
